%define anolis_release 2
%global _hardened_build 1

Name:             libijs
Summary:          IJS Raster Image Transport Protocol Library
Version:          0.35
Release: %{anolis_release}%{dist}

License:          AGPLv3+

URL:              https://ghostscript.com/
Source:           https://github.com/ArtifexSoftware/ijs/archive/%{version}/ijs-%{version}.tar.gz

BuildRequires:    gcc
BuildRequires:    git
BuildRequires:    autoconf
BuildRequires:    automake
BuildRequires:    libtool

%description
The IJS (InkJet Server) Raster Image Transport Protocol is a library, which
is no longer actively developed, and often other alternatives are used instead.

This library, however, still seem to be useful for Ghostscript application
to be able to connect to the HP IJS server to print on an HP printer.

%package devel
Summary:          Header & pkgconfig files for %{name}
Requires:         %{name} = %{version}-%{release}
BuildRequires:    pkgconfig
BuildRequires: make

%description devel
This subpackage provides /usr/include/ijs/ijs.h header file, as well as ijs.pc
pkgconfig file. Both of these files are useful for development purposes only.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n ijs-%{version} -S git

%build
autoreconf -ifv
%configure --disable-static --enable-shared
%make_build

%install
%make_install

# Remove files that we don't want to ship:
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_libdir}/*.la

# Install the ijs_spec.pdf to correct location:
install -m 0755 -d %{buildroot}%{_docdir}/%{name}
install -m 0644 -p ijs_spec.pdf %{buildroot}%{_docdir}/%{name}

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libijs-%{version}.so

%dir %{abidir}
%{abidir}/libijs-%{version}.dump

%files devel
%dir %{_includedir}/ijs
%{_includedir}/ijs/*.h
%{_libdir}/libijs.so
%{_libdir}/pkgconfig/*.pc

%files doc
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/ijs_spec.pdf

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.35-2
- rebuild

* Wed Mar 22 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.35-1
- Init package from upstream
